return Def.ActorFrame {
    InitCommand=function(self)
        for id, player in ipairs(GAMESTATE:GetEnabledPlayers()) do
            local parseChart = LoadModule("Config.Load.lua")("MeasureCounter",CheckIfUserOrMachineProfile(string.sub(player,-1)-1).."/OutFoxPrefs.ini")
            Streams[player] = {}
            Streams[player].Streams = {}

            if parseChart then
                local song_dir = GAMESTATE:GetCurrentSong():GetSongDir()
                local steps = GAMESTATE:GetCurrentSteps(player)
                local steps_type = tostring(steps:GetStepsType()):gsub("_", "-"):lower()
                local diff = steps:GetDifficulty()
                local notes_per_measure = tonumber(LoadModule("Config.Load.lua")("MeasureCounterDivisions",CheckIfUserOrMachineProfile(string.sub(player,-1)-1).."/OutFoxPrefs.ini"))
                local threshold = 2

                local streams = GetStreams(song_dir, steps_type, diff, notes_per_measure, threshold)
                Streams[player].Streams.Measures = streams
                Streams[player].Streams.SongDir = song_dir
                Streams[player].Streams.StepsType = steps_type
                Streams[player].Streams.Difficulty = diff
            end
        end
    end,

-- Transition
	Def.Quad {
		InitCommand=function(self)
			self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT):vertalign(bottom):x(SCREEN_CENTER_X):y(SCREEN_BOTTOM)
			self:diffuse(Color.Black)
		end;
		OnCommand=function(self)
			self:decelerate(0.5):zoomtoheight(0):sleep(0.1):diffusealpha(0)
		end;
    };

};