local eval_radar = {
	{"Holds","TapNoteSubType_Hold"},
	{"Rolls","TapNoteSubType_Roll"},
	{"Hands","TapNoteScore_Hands"},
	{"Mines","TapNoteScore_AvoidMine"},
	{"Lifts","TapNoteScore_Lift"}
}
local p = ...
local t = Def.ActorFrame{}
local pane_x_position = string.find(p, "P1") and SCREEN_LEFT+14 or SCREEN_RIGHT-14
local pane_align = string.find(p, "P1") and left or right
local DLW = LoadModule("Config.Load.lua")("DisableLowerWindows","Save/OutFoxPrefs.ini") or false
if GAMESTATE:IsHumanPlayer(p) then
	-- Main evaluation
	local Name, Length = LoadModule("Options.SmartTapNoteScore.lua")()
	table.sort(Name)
	Name[#Name+1] = "Miss"
	Name[#Name+1] = "MaxCombo"
	Length = Length + 2
	local backupy = -(22*(Length+1))
	for i, v in ipairs( Name ) do
		local JudgVar = 0
		t[#t+1] = Def.ActorFrame {
			InitCommand=function(self) 	
				self:x(pane_x_position):y((SCREEN_CENTER_Y+backupy)+(32*i) + (v == "MaxCombo" and 30 or 0) )
			end,
			OnCommand=function(self) self:diffusealpha(0):decelerate(0.4):diffusealpha(0.86) end,
			OffCommand=function(self) self:decelerate(0.3):diffusealpha(0) end,
			-- Numbers numbers numbers!
			Def.BitmapText {
				Font = "_plex sans condensed score 32px",
				InitCommand=function(self)
					self:diffuse(BoostColor((JudgmentLineToColor("JudgmentLine_" .. v)),1.3))
					self:strokecolor(Color.Black)
					self:zoom(0.75):diffusealpha(1.0):shadowlength(1):maxwidth(120):horizalign(pane_align):settext("0")
					if DLW then
						for i=1,2 do
							if (v == 'W'..(3+i) and tonumber(DLW) >= i) then self:diffusealpha( 0.4 ) end
						end
					end
				end,
				JudgmentMessageCommand=function(self,params) 
					if params.Player ~= p then return end
					if params.HoldNoteScore then return end
					if params.TapNoteScore and ToEnumShortString(params.TapNoteScore) == v then
						JudgVar = JudgVar + 1
						self:settext(JudgVar)
					end
					if v == "MaxCombo" then
						self:settext( STATSMAN:GetCurStageStats():GetPlayerStageStats(p):MaxCombo() )
					end
				end
			}
		}
	end			
	-- Miscelanous judgments
	local columns = GAMESTATE:GetCurrentStyle():ColumnsPerPlayer()
	for i, rc_type in ipairs(eval_radar) do
		local JudgVar = 0
		local MaxVal = GAMESTATE:GetCurrentSteps(p):GetRadarValues(p):GetValue( "RadarCategory_"..rc_type[1] )
		t[#t+1] = Def.ActorFrame {
			InitCommand=function(self)
				self:xy(pane_x_position, _screen.cy+100+(32*i) - backupy/10 )
				:diffuse( MaxVal > 0 and Color.White or color("#444444") )
			end,
			OffCommand=function(self) self:decelerate(0.3):diffusealpha(0) end,
				-- Item name
				Def.BitmapText {
					Font = "_plex sans medium 24px",
					Text = THEME:GetString("RadarCategory", rc_type[1]),
					InitCommand=function(self)
						self:zoom(0.6):horizalign(pane_align):diffuse(color("#FFFFFF")):uppercase(true):y(16):maxwidth(80)
						:skewx(-0.2):shadowlength(1)
					end
				},
				-- Value
				Def.BitmapText {
					Font = "_plex sans condensed medium 24px",
					BeginCommand=function(self)
						self:settext( 0 .. "/" .. MaxVal )
						:diffuse(ColorLightTone(PlayerColor(p))):diffusetopedge(ColorLightTone(PlayerCompColor(p)))
						:strokecolor(Color.Black)
						:zoom(0.6):diffusealpha(1.0):shadowlength(1):maxwidth(80):horizalign(pane_align)
					end,
					JudgmentMessageCommand=function(self,params)
						if params.Player ~= p then return end
						if params.TapNote or params.TapNoteScore then
							if rc_type[1] == "Hands" or rc_type[1] == "Lifts" then
								if params.Notes and params.Holds then
									local sum = 0
									local liftsum = 0
									for i=1,columns do
										sum = sum + (params.Notes[i] and (params.Notes[i]:GetTapNoteType() ~= "TapNoteType_Mine" and 1) or 0)
										sum = sum + (params.Holds[i] and 1 or 0)
										liftsum = liftsum + (params.Notes[i] and (params.Notes[i]:GetTapNoteType() == "TapNoteType_Lift" and 1) or 0)
									end
									if params.TapNoteScore ~= "TapNoteScore_CheckpointHit" and params.TapNoteScore ~= "TapNoteScore_CheckpointMiss" then
										JudgVar = JudgVar + (rc_type[1] == "Hands" and (params.TapNoteScore ~= "TapNoteScore_Miss" and (sum > 2 and 1 or 0) or 0) or liftsum)
										self:settext( JudgVar .. "/" .. MaxVal)
									end
								end
							else
								if i <= 2 and (params.TapNote and params.TapNote:GetTapNoteSubType() == rc_type[2]) or params.TapNoteScore == rc_type[2] then
									JudgVar = JudgVar + (
										(params.TapNoteScore ~= "TapNoteScore_Miss" and
										params.HoldNoteScore ~= "HoldNoteScore_MissedHold" and
										params.HoldNoteScore ~= "HoldNoteScore_LetGo"
										) and 1 or 0
									)
									self:settext( JudgVar .. "/" .. MaxVal)
								end
							end
						end
					end
				}
		}
	end
	-- The outlayer
	t[#t+1] = Def.BitmapText {
		Font = "_plex sans condensed medium 24px",
		InitCommand=function(self)
			self:diffuse(BoostColor((JudgmentLineToColor("JudgmentLine_MaxCombo")),1.1))
			:strokecolor(ColorDarkTone((JudgmentLineToColor("JudgmentLine_MaxCombo"))))
			:xy(pane_x_position,SCREEN_CENTER_Y-backupy/3)
			:zoom(0.5):skewx(-0.2):diffusealpha(1.0):shadowlength(1):maxwidth(140):horizalign(pane_align)
			:settext(string.upper(JudgmentLineToLocalizedString("MaxCombo")))
		end,
		OnCommand=function(self) self:diffusealpha(0):decelerate(0.4):diffusealpha(0.86) end,
		OffCommand=function(self) self:decelerate(0.3):diffusealpha(0) end
	}
end
	
return t
