local t = Def.ActorFrame {};
local ColorTable = LoadModule("Theme.Colors.lua")( LoadModule("Config.Load.lua")("SoundwavesSubTheme","Save/OutFoxPrefs.ini") );
-- Sort order
t[#t+1] = Def.ActorFrame {
	OnCommand=function(self) self:diffusealpha(0):sleep(0.5):smooth(0.3):diffusealpha(1) end;
	OffCommand=function(self) self:smooth(0.175):diffusealpha(0) end;
    Def.Sprite {
		Texture=THEME:GetPathG("ScreenSelectMusic","sort icon");
		InitCommand=function(self) self:xy(SCREEN_RIGHT-380,SCREEN_TOP+30) end;
		OnCommand=function(self)
			self:diffuse( ColorTable["headerTextColor"] ):diffusebottomedge( ColorTable["headerTextGradient"] )
		end;
	};
	Def.BitmapText {
		Font="_plex sans Bold 24px";	
		InitCommand=function(self) 
			self:xy(SCREEN_RIGHT-340,SCREEN_TOP+30):zoom(1):maxwidth(200):uppercase(true):horizalign(left):maxwidth(240) 
				:diffuse( ColorTable["headerTextColor"] ):diffusebottomedge( ColorTable["headerTextGradient"] )
		end;
		OnCommand=function(self) self:queuecommand("Set") end;
		SortOrderChangedMessageCommand=function(self) self:queuecommand("Set") end;
		ChangedLanguageDisplayMessageCommand=function(self) self:queuecommand("Set") end;
		SetCommand=function(self)
		   local sortorder = GAMESTATE:GetSortOrder();
		   local song = GAMESTATE:GetCurrentSong();
		   if sortorder then
				self:finishtweening():settext(SortOrderToLocalizedString(sortorder));
				self:queuecommand("Refresh")
			else
				self:settext("");
				self:queuecommand("Refresh");
		   end
		end;
	};
};

-- Stage display
if not GAMESTATE:IsCourseMode() then
t[#t+1] = Def.ActorFrame {
	LoadActor(THEME:GetPathG("ScreenWithMenuElements", "StageDisplay")) .. {
		InitCommand=function(self) self:xy(SCREEN_RIGHT-520,SCREEN_TOP+32) end;
		OnCommand=function(self)
			if PREFSMAN:GetPreference("MenuTimer") == true then
				self:addx(-220)
			end;
			self:diffusealpha(0):sleep(0.5):smooth(0.3):diffusealpha(1) 
		end;
		OffCommand=function(self) self:smooth(0.175):diffusealpha(0) end;
	}
}
end;

for p in ivalues(PlayerNumber) do
	setenv("GoalAchieved"..p , false)
end

return t